Opened 4 years ago

Closed 4 years ago

#52683 closed defect (fixed)

gtk2-industrial: remove obsolete port which conflicts with current gtk-engines2

Reported by: dbevans (David B. Evans) Owned by: jbenninghoff@…
Priority: Normal Milestone:
Component: ports Version: 2.3.4
Keywords: removal Cc:
Port: gtk2-industrial gtk-engines2

Description

This port is an obsolete version of the Industrial theme, originally introduced as part of the Ximian GNOME desktop some time around the year 2000. Ximian is long gone but the theme was incorporated into the GNOME desktop proper and now resides in gtk-engines2 which is a part of the current GNOME 3.22.1 release.

gtk-engines2 provides support for this theme under both gtk2 and gtk3, while the older gtk2-industrial only provides gtk1 and early gtk2 support. The two ports conflict with each other.

I'd like to start the removal process by formally marking gtk2-industrial obsolete, replaced by gtk-engine2. Attached is a patch to make the proposed change. Let me know if I have your authority as maintainer to commit the patch.

Attachments (1)

patch-obsolete-gtk2-industrial.diff (1.0 KB) - added by dbevans (David B. Evans) 4 years ago.
Proposed patch to mark gtk2-industrial obsolete, replaced by gtk-engines2

Download all attachments as: .zip

Change History (3)

Changed 4 years ago by dbevans (David B. Evans)

Proposed patch to mark gtk2-industrial obsolete, replaced by gtk-engines2

comment:1 Changed 4 years ago by dbevans (David B. Evans)

Cc: jbenninghoff@… removed
Owner: changed from macports-tickets@… to jbenninghoff@…
Status: newassigned
Summary: gtk2-industrial: remove obsolete port which conflicts with current gnome-engines2gtk2-industrial: remove obsolete port which conflicts with current gtk-engines2

comment:2 Changed 4 years ago by dbevans (David B. Evans)

Resolution: fixed
Status: assignedclosed

Patch committed in r154360, maintainer timeout.

Note: See TracTickets for help on using tickets.